﻿using System.Text;
using System.Web;
using System.Web.Optimization;

namespace Demo.SourceUrl.Bundles
{
    /// <summary>
    /// Adds the source url javascript indicator to all bundled files.
    /// This syntax on the bottom of each file allows chrome dev tools to see the file and gives it a name, 
    /// which allows you to debug dynamically added scripts.
    /// </summary>
    public class JsSourceUrlTransform : IBundleTransform
    {
        /// <summary>
        /// Processes the specified context for the transformation.
        /// </summary>
        /// <param name="context">The context.</param>
        /// <param name="response">The response.</param>
        public void Process(BundleContext context, BundleResponse response)
        {
            var sb = new StringBuilder(response.Content);
            sb.AppendLine();
            sb.AppendLine(string.Format(@"//# sourceURL={0}", VirtualPathUtility.ToAbsolute(context.BundleVirtualPath)));
            response.Content = sb.ToString();
        }
    }
}